Summary:        Hardware information tool
Name:           hwinfo
Version:        21.82
Release:        3%{?dist}
License:        GPL+
URL:            https://github.com/openSUSE/hwinfo
Source0:        https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  libuuid-devel, libx86emu-devel, perl-interpreter
BuildRequires:  gcc, make, flex
Requires:       %{name}-libs = %{version}-%{release}

%description
hwinfo/libhd are used to probe for the hardware present in the system. It can
be used to generate a system overview log which can be later used for support.

%package libs
Summary:        Libraries for hwinfo

%description libs
Libraries for using hwinfo, a hardware information tool.

%package devel
Summary:        Development files for hwinfo
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Header files and libraries for developing with libhd library from hwinfo.



%prep
%autosetup



%build
make \
      LDFLAGS="%{__global_ldflags} -Lsrc" \
      LIBDIR=%{_libdir} \
      HWINFO_VERSION=%{version}



%install
%make_install \
      LIBDIR=%{_libdir} \
      HWINFO_VERSION=%{version}



%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig



%files
%doc *.md MAINTAINER
%license COPYING
%{_sbindir}/*
%{_datadir}/hwinfo

%files libs
%license COPYING
%{_libdir}/libhd.so.*

%files devel
%{_includedir}/hd.h
%{_libdir}/pkgconfig/hwinfo.pc
%{_libdir}/libhd.so



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.82-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.82-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 29 2022 Zhao Zhen <jeremiazhao@tencent.com> - 21.82-1
- Initial building.
